HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostRecipientsId

Contains the different functions to run the operation postRecipientsId

  • 3 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports5
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostRecipientsId.hs
valuepostRecipientsId
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> Maybe PostRecipientsIdRequestBody

    The request body to send

  4. -> ClientT m (Response PostRecipientsIdResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/recipients/{id}

<p>Updates the specified recipient by setting the values of the parameters passed. Any parameters not provided will be left unchanged.</p>

<p>If you update the name or tax ID, the identity verification will automatically be rerun. If you update the bank account, the bank account validation will automatically be rerun.</p>

Defines the object schema located at paths./v1/recipients/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

  • PostRecipientsIdRequestBody
    • postRecipientsIdRequestBodyBankAccount :: Maybe Text

      bank_account: A bank account to attach to the recipient. You can provide either a token, like the ones returned by Stripe.js, or a dictionary containing a user's bank account details, with the options described below.

      Constraints:

      • Maximum length of 5000

    • postRecipientsIdRequestBodyCard :: Maybe Text

      card: A U.S. Visa or MasterCard debit card (not prepaid) to attach to the recipient. You can provide either a token, like the ones returned by Stripe.js, or a dictionary containing a user's debit card details, with the options described below. Passing `card` will create a new card, make it the new recipient default card, and delete the old recipient default (if one exists). If you want to add additional debit cards instead of replacing the existing default, use the card creation API. Whenever you attach a card to a recipient, Stripe will automatically validate the debit card.

      Constraints:

      • Maximum length of 5000

    • postRecipientsIdRequestBodyDefaultCard :: Maybe Text

      default_card: ID of the card to set as the recipient's new default for payouts.

      Constraints:

      • Maximum length of 5000

    • postRecipientsIdRequestBodyDescription :: Maybe Text

      description: An arbitrary string which you can attach to a `Recipient` object. It is displayed alongside the recipient in the web interface.

      Constraints:

      • Maximum length of 5000

    • postRecipientsIdRequestBodyEmail :: Maybe Text

      email: The recipient's email address. It is displayed alongside the recipient in the web interface, and can be useful for searching and tracking.

      Constraints:

      • Maximum length of 5000

    • postRecipientsIdRequestBodyExpand :: Maybe [Text]

      expand: Specifies which fields in the response should be expanded.

    • postRecipientsIdRequestBodyMetadata :: Maybe PostRecipientsIdRequestBodyMetadata'Variants

      metadata: Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

    • postRecipientsIdRequestBodyName :: Maybe Text

      name: The recipient's full, legal name. For type `individual`, should be in the format `First Last`, `First Middle Last`, or `First M Last` (no prefixes or suffixes). For `corporation`, the full, incorporated name.

      Constraints:

      • Maximum length of 5000

    • postRecipientsIdRequestBodyTaxId :: Maybe Text

      tax_id: The recipient's tax ID, as a string. For type `individual`, the full SSN; for type `corporation`, the full EIN.

      Constraints:

      • Maximum length of 5000

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/recipients/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postRecipientsId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostRecipientsIdResponseError is used.

Constructors

Instances2Eq, Show